[holy ruby programmers batman!] [PATCH] Move all non-needed global requires to their own respective files.

Markus Prinz markus.prinz at qsig.org
Sun Dec 23 16:09:26 EST 2007

This removes all requires which are not needed for all of Utility Belt from utility_belt.rb. All parts are now themselves responsible for loading their dependencies (except Rubygems and Wirble, which are still always loaded).

(Please note that I'm sending this through git-send-email, which I'm using for the first time, so any problems with this message are probably my fault).

regards, Markus
 lib/amazon_upload_shortcut.rb |    2 +-
 lib/command_history.rb        |    2 ++
 lib/interactive_editor.rb     |    3 +++
 lib/mac_clipboard.rb          |    3 +++
 lib/pastie.rb                 |    4 ++++
 lib/utility_belt.rb           |    5 +----
 6 files changed, 14 insertions(+), 5 deletions(-)
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 33eb267d4ab7d4da6f40aa82e5989f70ddcff702.diff
Type: text/x-patch
Size: 2465 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/utilitybelt-tinkering/attachments/20071223/39f6bbec/attachment.bin 

More information about the Utilitybelt-tinkering mailing list